Drupal.behaviors.nuxtifyMenuIconsIconPickerBehaviour = {
  attach: function (context) {
    once('nuxtifyMenuIconsIconPickerBehaviour', '#drupal-modal', context).forEach(
      (element) => {
        element.parentElement.addEventListener("focusin", function(){
          const search = element.querySelector('.nuxtify-menu-icons--search')
          const icons = element.querySelectorAll('.nuxtify-menu-icons-icon-picker-form > div:not(.nuxtify-menu-icons--search)')

          search.addEventListener('input', function (event) {
            const value = event.target.value.toLowerCase()

            icons.forEach(icon => {
              const icon_name = icon.querySelector('p').innerHTML.toLowerCase()

              icon.style.display = 'none'

              if (icon_name.includes(value)) {
                icon.style.display = 'block'
              }
            })
          })

          element.addEventListener('click', function (event) {
            if (event.target.tagName === 'DIV') {
              const icon_name = event.target.querySelector('p').innerHTML

              document.querySelector('[data-drupal-selector="edit-field-icon-0-value"]').value = icon_name
              document.querySelector('.nuxtify-menu-icons--icon-preview').innerHTML = `<span class="iconify" data-icon="${icon_name}"></span>${icon_name}`

              Drupal.dialog(document.getElementById('drupal-modal')).close()
            }
          })
        })
      }
    )
  }
}
