<?php

declare(strict_types=1);

namespace Drupal\nuxtify_menu_icons\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\Plugin\Field\FieldFormatter\StringFormatter;

/**
 * Plugin implementation of the 'nuxtify_menu_icons_icon' formatter.
 *
 * @FieldFormatter(
 *   id = "nuxtify_menu_icons_icon_formatter",
 *   label = @Translation("Icon"),
 *   field_types = {
 *     "nuxtify_menu_icons_icon"
 *   }
 * )
 */
class IconField extends StringFormatter {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    foreach ($items as $delta => $item) {
      $elements[$delta] = [
        '#markup' => $item->value,
      ];
    }

    return $elements;
  }

}
