<?php

namespace Drupal\nuxtify_menu_icons\Plugin\SingleContentSyncFieldProcessor;

use Drupal\Core\Entity\FieldableEntityInterface;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\single_content_sync\SingleContentSyncFieldProcessorPluginBase;

/**
 * Plugin implementation of the entity reference field processor plugin.
 *
 * @SingleContentSyncFieldProcessor(
 *   id = "nuxtify_menu_icons_icon",
 *   label = @Translation("Icon"),
 *   field_type = "nuxtify_menu_icons_icon",
 * )
 */
class IconItem extends SingleContentSyncFieldProcessorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function exportFieldValue(FieldItemListInterface $field): array {
    return $field->getValue();
  }

  /**
   * {@inheritdoc}
   */
  public function importFieldValue(FieldableEntityInterface $entity, string $fieldName, array $value): void {
    $entity->set($fieldName, $value);
  }

}
